Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.shared.log.impl
Class LogViewImpl

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.fourthline.cling.support.shared.log.impl.LogViewImpl

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, LogView, View<LogView.Presenter>

    @Singleton
    public class LogViewImpl

extends JPanel
implements LogView

Author:
  Christian Bauer
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Nested classes/interfaces inherited from interface org.fourthline.cling.support.shared.log.LogView
`LogView.LogCategories, LogView.Presenter`

Field Summary
`protected javax.enterprise.event.Event<CenterWindow>` | `centerWindowEvent`
`protected JButton` | `clearButton`
`protected JButton` | `configureButton`
`protected JButton` | `copyButton`
`protected JButton` | `expandButton`
`protected JComboBox` | `expirationComboBox`
`protected LogView.LogCategories` | `logCategories`
`protected org.seamless.swing.logging.LogCategorySelector` | `logCategorySelector`
`protected JTable` | `logTable`
`protected org.seamless.swing.logging.LogTableModel` | `logTableModel`
`protected JButton` | `pauseButton`
`protected JLabel` | `pauseLabel`
`protected LogView.Presenter` | `presenter`
`protected JToolBar` | `toolBar`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`LogViewImpl()`

Method Summary
`protected void` | `adjustTableUI()`
`Component` | `asUIComponent()`
`void` | `dispose()`
`protected ImageIcon` | `getDebugIcon()`
`protected org.seamless.swing.logging.LogController.Expiration` | `getDefaultExpiration()`
`protected int` | `getExpandMessageCharacterLimit()`
`protected ImageIcon` | `getInfoIcon()`
`protected List<org.seamless.swing.logging.LogMessage>` | `getSelectedMessages()`
`protected ImageIcon` | `getTraceIcon()`
`protected ImageIcon` | `getWarnErrorIcon()`
`void` | `init()`
`protected void` | `initializeToolBar(org.seamless.swing.logging.LogController.Expiration expiration)`
`void` | `pushMessage(org.seamless.swing.logging.LogMessage logMessage)`
`void` | `setPresenter(LogView.Presenter presenter)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### logCategories

    @Inject
    protected LogView.LogCategories logCategories

### centerWindowEvent

    @Inject
    protected javax.enterprise.event.Event<CenterWindow> centerWindowEvent

### logCategorySelector

    protected org.seamless.swing.logging.LogCategorySelector logCategorySelector

### logTable

    protected JTable logTable

### logTableModel

    protected org.seamless.swing.logging.LogTableModel logTableModel

### toolBar

    protected final JToolBar toolBar

### configureButton

    protected final JButton configureButton

### clearButton

    protected final JButton clearButton

### copyButton

    protected final JButton copyButton

### expandButton

    protected final JButton expandButton

### pauseButton

    protected final JButton pauseButton

### pauseLabel

    protected final JLabel pauseLabel

### expirationComboBox

    protected final JComboBox expirationComboBox

### presenter

    protected LogView.Presenter presenter

Constructor Detail

### LogViewImpl

    public LogViewImpl()

Method Detail

### init

    @PostConstruct
    public void init()

### asUIComponent

    public Component asUIComponent()

  Specified by:
    `asUIComponent` in interface `View<LogView.Presenter>`

### setPresenter

    public void setPresenter(LogView.Presenter presenter)

  Specified by:
    `setPresenter` in interface `View<LogView.Presenter>`

### pushMessage

    public void pushMessage(org.seamless.swing.logging.LogMessage logMessage)

  Specified by:
    `pushMessage` in interface `LogView`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `LogView`

### adjustTableUI

    protected void adjustTableUI()

### initializeToolBar

    protected void initializeToolBar(org.seamless.swing.logging.LogController.Expiration expiration)

### getDefaultExpiration

    protected org.seamless.swing.logging.LogController.Expiration getDefaultExpiration()

### getWarnErrorIcon

    protected ImageIcon getWarnErrorIcon()

### getDebugIcon

    protected ImageIcon getDebugIcon()

### getTraceIcon

    protected ImageIcon getTraceIcon()

### getInfoIcon

    protected ImageIcon getInfoIcon()

### getExpandMessageCharacterLimit

    protected int getExpandMessageCharacterLimit()

### getSelectedMessages

    protected List<org.seamless.swing.logging.LogMessage> getSelectedMessages()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.